Page MenuHomePhabricator

Video clip in 4:2:2 chroma subsampling fails to play in Chrome
Closed, ResolvedPublic

Description

There is an example on the page w:no:User:Jeblad/Example Myrdal station of a rather huge video with a deep link nearly two hours into the movie. This movie loads and autostarts as it should in a Firefox browser on Win10, it loads but does not autostarts on Ubu18.04. Not autostarting on Ubu is probably because I have turned off autostart in the config.

All other webkit-based browsers I have tested on both OS' have failed. Edge on Win10 works, but with artifacts.

Inspecting the console in Chromium on Ubu, it says

Uncaught (in promise) DOMException: The play() request was interrupted by a call to pause(). https://goo.gl/LdLk22

The same uncaught exception is not reported in Firefox.

So, in short, seems like a bug…

The console is appended as

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterForce WebM output to 4:2:0 subsampling for Chrome, Edge compat

Event Timeline

jeblad created this task.Oct 1 2018, 1:04 AM
Restricted Application added subscribers: Danmichaelo, Aklapper. · View Herald TranscriptOct 1 2018, 1:04 AM
jeblad renamed this task from Large (huge) movie clip does not play in webkit browsers (uncaught exception) to Large (huge) movie clip does not play in webkit browsers (bug – uncaught exception).Oct 1 2018, 3:16 AM
Meisam added a subscriber: Meisam.Oct 1 2018, 8:54 AM
brion added a subscriber: brion.Oct 1 2018, 5:09 PM

Looks like a bug with the old mwembed player assuming it can autoplay and interacting badly with current browsers...

brion moved this task from Backlog to Kaltura/MwEmbed on the Kaltura player board.Oct 1 2018, 5:09 PM
brion added a comment.Oct 1 2018, 6:15 PM

I did some more poking at this, and I'm not quite sure what's going on but I don't think it's because of the pause/play stuff.

Chrome won't play the file at all -- it comes up but always shows a black screen and never progresses.

brion added a comment.Oct 1 2018, 6:16 PM

Aha found it -- the file is 4:2:2 chroma subsampling (profile 1) which Chrome probably doesn't support.

I'll have to force our transcodes to use 4:2:0 subsampling with is more widely supported.

brion renamed this task from Large (huge) movie clip does not play in webkit browsers (bug – uncaught exception) to Video clip in 4:2:2 chroma subsampling fails to play in Chrome.Oct 1 2018, 6:17 PM
brion edited projects, added TimedMediaHandler-Transcode; removed Kaltura player.
jeblad added a comment.EditedOct 1 2018, 7:03 PM

Note that MS Edge messes up the color.
Good catch btw!

(OMG! He was to smart! I could not confuse him! Argh!)

Change 463841 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Force Web output to 4:2:0 subsampling for Chrome, Edge compat

https://gerrit.wikimedia.org/r/463841

Change 463841 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Force WebM output to 4:2:0 subsampling for Chrome, Edge compat

https://gerrit.wikimedia.org/r/463841

jeblad added a comment.Oct 1 2018, 8:24 PM

Will this fix be available soonish or do we wait for the ordinary rollout?

brion added a comment.Oct 1 2018, 8:28 PM

I'll try to sneak it into a 'swat deploy' window later this week.

Meisam added a comment.Oct 5 2018, 4:40 PM

@jeblad, I did reset the transcodings. Can you please check the video again?

brion closed this task as Resolved.Oct 9 2018, 5:52 PM
brion claimed this task.

I didn't manage to do an early push because I was out sick most of last week, but it should be live now, and the re-rendered file works for me so hoping it's fine for @jeblad. :)

I'm going to go ahead and mark this resolved; if any problems please reopen.

The fix seems to work for the rerendered file.
:)